/*
 * BeginToEndIndex.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "BeginToEndIndex.h"

namespace arbology {

namespace transform {

std::set < unsigned > BeginToEndIndex::transform ( const tree::Tree & subject, const std::set < unsigned > & indexes ) {
	return dispatch ( subject.getData ( ), indexes );
}

auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarTree = BeginToEndIndex::RegistratorWrapper < std::set < unsigned >, tree::PrefixRankedBarTree < > > ( BeginToEndIndex::transform );
auto BeginToEndIndexPrefixRankedBarTreePrefixRankedBarPattern = BeginToEndIndex::RegistratorWrapper < std::set < unsigned >, tree::PrefixRankedTree < > > ( BeginToEndIndex::transform );

} /* namespace transform */

} /* namespace arbology */
