/*
 * ToGrammar.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ToGrammar.h"

namespace automaton {

namespace convert {

grammar::Grammar ToGrammar::convert(const automaton::Automaton& automaton) {
	return dispatch(automaton.getData());
}

auto ToGrammarNFA = ToGrammar::RegistratorWrapper<grammar::Grammar, automaton::NFA < > >(ToGrammar::convert);

auto ToGrammarDFA = ToGrammar::RegistratorWrapper<grammar::Grammar, automaton::DFA < > >(ToGrammar::convert);

} /* namespace convert */

} /* namespace automaton */
