/*
 * ToAutomatonBototmUp.cpp
 *
 * Created on: 20. 5. 2015
 * Author: Tomas Pecka
 */
#include "ToAutomatonBottomUp.h"

namespace grammar {

namespace convert {

automaton::Automaton ToAutomatonBottomUp::convert(const grammar::Grammar& grammar) {
	 return dispatch(grammar.getData());
}

auto ToAutomatonBottomUpCFG = ToAutomatonBottomUp::RegistratorWrapper<automaton::NPDA < > , grammar::CFG < > >(ToAutomatonBottomUp::convert);
auto ToAutomatonBottomUpEpsilonFreeCFG = ToAutomatonBottomUp::RegistratorWrapper<automaton::NPDA < >, grammar::EpsilonFreeCFG < > >(ToAutomatonBottomUp::convert);

} /* namespace convert */

} /* namespace grammar */
