/*
 * ToRegExp.cpp
 *
 *  Created on: 4. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "ToRegExp.h"

namespace grammar {

namespace convert {

regexp::RegExp ToRegExp::convert(const grammar::Grammar& grammar) {
	return dispatch(grammar.getData());
}

auto ToRegExpRightRG = ToRegExp::RegistratorWrapper<regexp::RegExp, grammar::RightRG < > >(ToRegExp::convert);
auto ToRegExpLeftRG = ToRegExp::RegistratorWrapper<regexp::RegExp, grammar::LeftRG < > >(ToRegExp::convert);

} /* namespace convert */

} /* namespace grammar */
