/*
 * ToPostfixPushdownAutomaton.h
 *
 *  Created on: 11. 4. 2016
 *	  Author: Tomas Pecka
 */

#include "ToPostfixPushdownAutomaton.h"
#include "ToPostfixPushdownAutomatonGlushkov.h"
#include <exception/CommonException.h>

namespace rte {

namespace convert {

automaton::Automaton ToPostfixPushdownAutomaton::convert ( const rte::RTE & rte ) {
	return dispatch ( rte.getData ( ) );
}

automaton::Automaton ToPostfixPushdownAutomaton::convert ( const rte::FormalRTE < > & rte ) {
	return automaton::Automaton ( ToPostfixPushdownAutomatonGlushkov::convert ( rte ) );
}

auto ToAutomatonFormalRegExp = ToPostfixPushdownAutomaton::RegistratorWrapper < automaton::Automaton, rte::FormalRTE < > > ( ToPostfixPushdownAutomaton::convert );

} /* namespace convert */

} /* namespace rte */
