/*
 * BadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BadCharacterShiftTable.h"

namespace string {

namespace properties {

std::map<DefaultSymbolType, size_t> BadCharacterShiftTable::bcs(const string::String& pattern) {
	return dispatch(pattern.getData());
}

auto BadCharacterShiftTableLinearString = BadCharacterShiftTable::RegistratorWrapper<std::map<DefaultSymbolType, size_t>, string::LinearString < >>(BadCharacterShiftTable::bcs);

} /* namespace properties */

} /* namespace string */
