/*
 * SuffixTrieNaive.cpp
 *
 *  Created on: 1. 11. 2014
 *      Author: Tomas Pecka
 */

#include "SuffixTrieNaive.h"

#include <string/LinearString.h>

namespace stringology {

namespace indexing {

indexes::SuffixTrie < DefaultSymbolType, unsigned > SuffixTrieNaive::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto SuffixTrieNaiveLinearString = SuffixTrieNaive::RegistratorWrapper < indexes::SuffixTrie < DefaultSymbolType, unsigned >, string::LinearString < > > ( SuffixTrieNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
