#include <list>
#include "ObjectTest.h"

#include "sax/SaxParseInterface.h"
#include "sax/SaxComposeInterface.h"

#include "object/Object.h"
#include "container/ObjectsPair.h"
#include <primitive/Character.h>

#include "factory/XmlDataFactory.hpp"

#include <type_traits>

#define CPPUNIT_IMPLY( x, y )	CPPUNIT_ASSERT ( !( x ) || ( y ) )
#define CPPUNIT_EXCLUSIVE_OR( x, y )	CPPUNIT_ASSERT ( ( !( x ) && ( y ) ) || ( ( x ) && !( y ) ) )

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( ObjectTest, "object" );
CPPUNIT_TEST_SUITE_REGISTRATION ( ObjectTest );

void ObjectTest::setUp ( ) {
}

void ObjectTest::tearDown ( ) {
}

void ObjectTest::testProperties ( ) {
	CPPUNIT_ASSERT ( std::is_nothrow_move_constructible < alib::Object >::value );
}
