/*
 * RTE.cpp
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#include "RTE.h"
#include "../alphabet/Symbol.h"

#include <core/xmlApi.hpp>

namespace rte {

const std::set < std::ranked_symbol < > > & RTE::getAlphabet ( ) const {
	return this->getData ( ).getAlphabet ( );
}

const std::set < std::ranked_symbol < > > & RTE::getSubstitutionAlphabet ( ) const {
	return this->getData ( ).getSubstitutionAlphabet ( );
}

} /* namespace rte */

namespace alib {

auto RTEDeleter = xmlApi < rte::RTE >::InputContextDeleter ( );

}
