/*
 * UnrankedTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Stepan Plachy
 */

#include "UnrankedTree.h"
#include "../Tree.h"
#include "../UnrankedTreeWrapper.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto unrankedTreeParserRegister = xmlApi < ::tree::Tree >::ParserRegister < ::tree::UnrankedTree < > > ( );
auto unrankedTreeParserRegister2 = xmlApi < ::tree::UnrankedTreeWrapper >::ParserRegister < ::tree::UnrankedTree < > > ( );
auto unrankedTreeParserRegister3 = xmlApi < alib::Object >::ParserRegister < ::tree::UnrankedTree < > > ( );

auto UnrankedTreeFromRankedTree = castApi::CastRegister < ::tree::UnrankedTree < >, ::tree::RankedTree < > > ( );
auto UnrankedTreeCastBinder = castApi::CastPoolStringBinder < ::tree::UnrankedTree < > > ( ::tree::UnrankedTree < >::getXmlTagName() );

} /* namespace alib */
