/*
 * SymbolStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "SymbolStringApi.hpp"
#include "alphabet/SymbolFromStringParser.h"
#include "alphabet/SymbolToStringComposer.h"

namespace alib {

alphabet::Symbol stringApi < alphabet::Symbol >::parse ( std::istream & input ) {
	return alphabet::SymbolFromStringParser::parseSymbol ( input );
}

void stringApi < alphabet::Symbol >::compose ( std::ostream & output, const alphabet::Symbol & data ) {
	return alphabet::SymbolToStringComposer::compose ( output, data );
}

} /* namespace alib */
