/*
 * GrammarStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "GrammarStringApi.hpp"
#include "grammar/GrammarFromStringParser.h"
#include "grammar/GrammarToStringComposer.h"

namespace alib {

grammar::Grammar stringApi < grammar::Grammar >::parse ( std::istream & input ) {
	return grammar::GrammarFromStringParser::parseGrammar ( input );
}

void stringApi < grammar::Grammar >::compose ( std::ostream & output, const grammar::Grammar & data ) {
	return grammar::GrammarToStringComposer::compose ( output, data );
}

} /* namespace alib */
