/*
 * LabelStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "LabelStringApi.hpp"
#include "label/LabelFromStringParser.h"
#include "label/LabelToStringComposer.h"

namespace alib {

label::Label stringApi < label::Label >::parse ( std::istream & input ) {
	return label::LabelFromStringParser::parseLabel ( input );
}

void stringApi < label::Label >::compose ( std::ostream & output, const label::Label & data ) {
	return label::LabelToStringComposer::compose ( output, data );
}

} /* namespace alib */
