/*
 * StringStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "StringStringApi.hpp"
#include "string/StringFromStringParser.h"
#include "string/StringToStringComposer.h"

namespace alib {

string::String stringApi < string::String >::parse ( std::istream & input ) {
	return string::StringFromStringParser::parseString ( input );
}

void stringApi < string::String >::compose ( std::ostream & output, const string::String & data ) {
	return string::StringToStringComposer::compose ( output, data );
}

} /* namespace alib */
