/*
 * Translate.cpp
 *
 *  Created on: 12. 5. 2016
 *      Author: Jakub Doupal
 */

#include "Translate.h"

namespace automaton {

namespace run {

std::set < string::LinearString < > > Translate::translate ( const automaton::Automaton & automaton, const alib::Object & object ) {
	return dispatch ( automaton.getData ( ), object.getData ( ) );
}

std::set < string::LinearString < > > Translate::translate ( const automaton::Automaton & automaton, const string::LinearString < > & string ) {
	return dispatch ( automaton.getData ( ), string );
}

auto TranslateNPDTALinearString = Translate::RegistratorWrapper < std::set < string::LinearString < > >, automaton::NPDTA < >, string::LinearString < > > ( Translate::translate );

} /* namespace run */

} /* namespace automaton */
