/*
 * Total.cpp
 *
 *  Created on: 20. 9. 2014
 *	  Author: Tomas Pecka
 */

#include "Total.h"

namespace automaton {

namespace simplify {

automaton::Automaton Total::total(const Automaton& automaton) {
	return dispatch(automaton.getData());
}

auto TotalNFA = Total::RegistratorWrapper<automaton::NFA < >, automaton::NFA < > >(Total::total);
auto TotalDFA = Total::RegistratorWrapper<automaton::DFA < >, automaton::DFA < > >(Total::total);

} /* namespace simplify */

} /* namespace automaton */

