/*
 * ToGrammar.cpp
 *
 *  Created on: 6. 3. 2014
 *	  Author: Jan Travnicek
 */

#include "ToGrammar.h"

namespace regexp {

namespace convert {

grammar::Grammar ToGrammar::convert(const regexp::RegExp& regexp) {
	return dispatch(regexp.getData());
}

auto ToGrammarFormalRegExp = ToGrammar::RegistratorWrapper<grammar::Grammar, regexp::FormalRegExp < > >(ToGrammar::convert);
auto ToGrammarUnboundedRegExp = ToGrammar::RegistratorWrapper<grammar::Grammar, regexp::UnboundedRegExp < > >(ToGrammar::convert);

} /* namespace convert */

} /* namespace regexp */
