/*
 * BorderArray.cpp
 *
 *  Created on: 1. 11. 2014
 *      Author: Tomas Pecka
 */

#include "BorderArray.h"

namespace string {

namespace properties {

std::vector<unsigned> BorderArray::construct(const string::String& string) {
	return dispatch(string.getData());
}

auto BorderArrayLinearString = BorderArray::RegistratorWrapper<std::vector<unsigned>, string::LinearString < >>(BorderArray::construct);

} /* namespace properties */

} /* namespace string */
