/*
 * ContainerBase.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef CONTAINER_BASE_H_
#define CONTAINER_BASE_H_

#include <object/ObjectBase.h>

namespace container {

/**
 * Represents symbol in an alphabet.
 */
class ContainerBase : public alib::ObjectBase {
public:
	virtual ContainerBase* clone() const = 0;
	virtual ContainerBase* plunder() && = 0;

};

} /* namespace container */

#endif /* CONTAINER_BASE_H_ */
