/*
 * NPDA.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "NPDA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto NPDAParserRegister = xmlApi<automaton::Automaton>::ParserRegister<automaton::NPDA < > >();
auto NPDAParserRegister2 = xmlApi<alib::Object>::ParserRegister<automaton::NPDA < > >();

auto NPDACastBinder = castApi::CastPoolStringBinder<automaton::NPDA < > >(automaton::NPDA < >::getXmlTagName());

} /* namespace alib */
