/*
 * SymbolFromStringParser.h
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#ifndef SYMBOL_FROM_STRING_PARSER_H_
#define SYMBOL_FROM_STRING_PARSER_H_

#include "SymbolFromStringLexer.h"
#include "alphabet/SymbolFeatures.h"
#include <set>

namespace alphabet {

class SymbolFromStringParser {
public:
	static Symbol parseSymbol(std::istream&, const std::set<FEATURES>& features);
	static Symbol parseSymbol(std::istream&);
};

} /* namespace alphabet */

#endif /* SYMBOL_FROM_STRING_PARSER_H_ */
