/*
 * PrimitiveFromStringParser.h
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#ifndef PRIMITIVE_FROM_STRING_PARSER_H_
#define PRIMITIVE_FROM_STRING_PARSER_H_

#include "PrimitiveFromStringLexer.h"
#include "primitive/PrimitiveFeatures.h"
#include <set>

namespace primitive {

class PrimitiveFromStringParser {
public:
	static Primitive parsePrimitive(std::istream&, const std::set<FEATURES>&);
	static Primitive parsePrimitive(std::istream&);
};

} /* namespace primitive */

#endif /* PRIMITIVE_FROM_STRING_PARSER_H_ */
